--- title: "Get event list" slug: "media-livestation-event-eventlist" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-event-eventlist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get event list Available in Classic and VPC Get the list of events that occurred on all channels (general live, re-stream, VOD2LIVE). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/events | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Optional | Filter by channel ID. - See Get list by channel. - [Live channel](/docs/en/media-livestation-channel-channellist) - [Re-stream channel](/docs/en/media-livestation-re-stream-channellist) - [VOD2LIVE channel](/docs/en/media-livestation-channel-vodchannellist) - Get events for all channels when not entered. | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/events?channelId=ls-20250814******-zTwK2' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Array | - | Event list: [content](/docs/en/media-livestation-event-eventlist#content) | | `total` | Integer | - | Total response count | #### `content` The following describes `content`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `logLevel` | String | - | Log level - `INFO` \| `ERROR` | | `eventCode` | String | - | See [Event code](/docs/en/media-livestation-event-eventlist#%EC%9D%B4%EB%B2%A4%ED%8A%B8%EC%BD%94%EB%93%9C). | | `description` | String | - | Event description | | `timestamp` | Integer | - | Event occurrence date and time (millisecond) - Unix timestamp format | | `channelId` | String | - | Channel ID | #### Event code The following describes the event codes. | eventCode | logLevel | Description | | --- | --- | --- | | STREAM_RESERVE | INFO | Channel created | | STREAM_UPDATE | INFO | Channel settings changed | | PUBLISH_START | INFO | Channel streaming started | | PUBLISH_END | INFO | Channel streaming ended | | THUMBNAIL_CREATE | INFO | Channel thumbnail created | | SIMULCAST_STATUS_CHANGE | INFO | Target platform status changed | | ONAIR_START | INFO | Channel recording started | | ONAIR_END | INFO | Channel recording ended | | PUBLISH_OVER_THRESHOLD | INFO | Incoming bitrate exceeded the threshold and streamed | | RTMP_MAIN_STREAM_ENABLED | INFO | Main streaming enabled | | RTMP_BACKUP_STREAM_ENABLED | INFO | Switched to backup stream | | BACKUP_SESSION_STREAMING_CONNECTED | INFO | Backup streaming started | | BACKUP_SESSION_STREAMING_DISCONNECTED | INFO | Backup streaming ended | | STREAM_FINISH | INFO | Channel unavailable (Contact customer center for details.) | | AVG_BPS_LOW_WARN | INFO | Incoming bitrate unstable (need to check streaming status) | | ERROR | ERROR | Channel streaming anomaly (need to check streaming status) | | STREAM_BLOCKED_ON_LIVE | ERROR | Channel disabled due to streaming instability (approximately 5 minutes) | | STREAM_BLOCKED_AT_START | ERROR | Channel disabled due to streaming options issue (approximately 30 minutes) | | STREAM_BLOCKED_UNDEFINED | ERROR | Channel disabled for unknown reason (approximately 1 hour) | | STREAM_UNBLOCK | ERROR | Channel unpaused (available after re-streaming) | | STREAM_UNBLOCK_BY_MANUALLY | ERROR | Channel manually unpaused | | STREAM_UNBLOCK_FAILED | ERROR | Failed to unpause the channel (Contact customer center.) | | STREAM_BLOCKED_BY_MANUALLY | ERROR | Channel manually stopped | | PROCESSING_FAIL | ERROR | Failed to create recording file for unknown reason | | FAIL_RELAY | ERROR | Failed to stream for unknown reason | | FAIL_ONAIR | ERROR | Failed to start recording for unknown reason | | FAIL_STOP | ERROR | Failed to end recording for unknown reason | | FAIL_FINISH | ERROR | Failed to stop streaming for unknown reason | | FAIL_FORCE | ERROR | Failed to stop streaming for unknown reason | | FAIL_RELEASE | ERROR | Failed to stop streaming for unknown reason | | PP_STOP_FAIL | ERROR | Unknown error has occurred. | | NO_SPS_PPS | ERROR | Abnormal video packet inflow | | AUDIO_INFO_CHANGED | ERROR | Abnormal re-stream channel audio packet inflow | | VIDEO_INFO_CHANGED | ERROR | Abnormal re-stream channel video packet inflow | | FAILED_TO_PARSE_METADATA | ERROR | Unable to read re-stream channel video/audio packet | | UNSUPPORTED_MEDIA_CODEC | ERROR | Unsupported codec used | | INCORRECT_KEY_INTERVAL | ERROR | Incoming keyframe interval greater than 4 seconds | | UNSUPPORTED_AUDIO_FRAMERATE | ERROR | Abnormal inflow audio frame rate | | UNSUPPORTED_VIDEO_FRAMERATE | ERROR | Abnormal inflow video frame rate | | UNSUPPORTED_AUDIO_BITRATE | ERROR | Abnormal inflow audio bitrate | | UNSUPPORTED_VIDEO_BITRATE | ERROR | Abnormal inflow video bitrate | | UNSUPPORTED_VIDEO_RESOLUTION | ERROR | Abnormal inflow video resolution | | TOO_MANY_DISCONNECTION | ERROR | Unstable connection | | RACE_DISCONNECTION | ERROR | Connection crashed due to duplicate streaming in the last 30 seconds | | PREROLL_FAILED | ERROR | No packet inflow on either audio/video for 5 minutes | | LARGE_READ_TIME_GAP | ERROR | No audio/video packet inflow for 10 seconds after connection | | UNEXPECTED_CONNECTION_ERROR | ERROR | Streaming ended for unknown reason | | LARGE_AUDIO_VIDEO_TIME_GAP | ERROR | Abnormal timestamp differences between audio/video packets | | FAILED_TO_ALLOC_MEM | ERROR | Streaming ended due to memory allocation failure | | AUDIO_OVERRUN | ERROR | Abnormal timestamp differences between incoming and transcoding audio packets | | VIDEO_OVERRUN | ERROR | Abnormal timestamp differences between incoming and transcoding video packets | | UNKNOWN | ERROR | Unknown error has occurred. | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": [ { "logLevel": "INFO", "eventCode": "PUBLISH_END", "description": "forRecord channel publishing has ended.", "timestamp": 1755658201559, "channelId": "ls-20250820******-PyysO" }, { "logLevel": "INFO", "eventCode": "ONAIR_END", "description": "forRecord Channel recording has ended.", "timestamp": 1755653581862, "channelId": "ls-20250820******-PyysO" }, { "logLevel": "INFO", "eventCode": "ONAIR_START", "description": "You have started recording channel forRecord.", "timestamp": 1755652724016, "channelId": "ls-20250820******-PyysO" }, { "logLevel": "INFO", "eventCode": "PUBLISH_START", "description": "You have started publishing channel forRecord.", "timestamp": 1755652719370, "channelId": "ls-20250820******-PyysO" }, ... ], "total": 14 } ```